@import url('https://fonts.googleapis.com/css?family=Lato|Montserrat:700');
@import 'reset';
@import 'vars';
@import 'mixins';

.header {
  background: #017282 url('../../dist/img/bg1.jpg') no-repeat fixed center;
  background-size: cover;
}

.topheader {
  padding: 28rem 4rem 5rem 4rem;

  &__title {
    padding-bottom: 0.1em;
    @include title-font;
    font-size: 2.5em;
    color: #ffffff;
    text-transform: uppercase;
  }

  &__subtitle {
    padding-bottom: 1.5em;
    font-family: 'Lato', sans-serif;
    font-size: 1em;
    font-weight: normal;
    color: #ffffff;
    text-transform: capitalize;
  }

  &__logo {
    display: inline-block;
    border: 1px solid #ffffff;
    @include title-font;
    font-size: 2.6em;
    font-weight: 900;
    color: #ffffff;
    text-transform: uppercase;
  }

  &__left {
    display: inline-block;
    padding: 0.75em 0.6em;
    color: $yellow;
    background-color: #ffffff;
  }

  &__right {
    display: inline-block;
    padding: 0.75em 1.1em 0.75em 0.1em;
  }
}

.section {
  padding: 5em 1em 4.5em 1em;
  text-align: center;

  &__header {
    padding: 0.8em 0;
    @include title-font;
    text-transform: uppercase;
  }

  &__text {
    padding: 0.8em 0;
    font-family: 'Lato', sans-serif;
  }
}

.span--yellow {
  color: $yellow;
}

.hr {
  display: block;
  height: 1px;
  border: 0;
  padding: 0;

  &--yellow {
    margin: 2rem auto;
    border-top: 2px solid $yellow;
    width: 50px;
  }

  &--white {
    margin: 2.5em auto;
    border-top: 3px solid #ffffff;
    width: 280px;
  }
}

.section {
  &--ideas {
    @include section-background('bg2.jpg');
  }

  &--featured {
    @include section-background('bg3.jpg');
  }

  &--bird {
    @include section-background('bg4.jpg');
  }
}

.featured {
  display: flex;
  justify-content: center;
  align-items: center;

  &__img {
    padding: 0 2.5em 0 2.5em;
  }
}
